
//
// To jest przykładowy kod z podrozdziału 24.5.4 „Wejście i wyjście macierzy” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include <iostream>
#include "MatrixIO.h"

using namespace std;
using namespace Numeric_lib;

//------------------------------------------------------------------------------

int main()
{
    Matrix<double> a(4);
    cin >> a;
    cout << a;

    Matrix<int,2> m(2,2);
    cin >> m;
    cout << m;
}

//------------------------------------------------------------------------------
